Bug 878540

Summary: problem to make /etc/hosts persistent
Product: [Retired] oVirt Reporter: Gianluca Cecchi <gianluca.cecchi>
Component: ovirt-nodeAssignee: Mike Burns <mburns>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: 3.1 GACC: acathrow, dyasny, jboggs, mburns, mgoldboi, ovirt-bugs, ovirt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 2.6.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-06 14:02:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 894059    

Description Gianluca Cecchi 2012-11-20 16:32:31 UTC
Description of problem:
/etc/hosts doesn't persist

Version-Release number of selected component (if applicable):
ovirt-node-iso-2.5.5-0.1.fc17.iso

# cat /etc/redhat-release
oVirt Node Hypervisor release 2.5.5 (0.1.fc17)

How reproducible:


Steps to Reproduce:
1. edit /etc/hosts
2. reboot the oVirt Node
3. edit /etc/hosts
  
Actual results:
it doesn't contain previous modifications

Expected results:
it contains previous modifications

Additional info:

On oVirt Node:
# persist /etc/hosts
File already persisted: /etc/hosts

But actually at reboot my modification is not there again....

Comment 1 Mike Burns 2013-02-05 21:32:21 UTC
http://gerrit.ovirt.org/11771

a previous patch introduced this regression.  We require some form of /etc/hosts and the script to write the minimal one was checking if the file was empty instead of not empty

Comment 2 Mike Burns 2013-02-06 14:02:33 UTC
merged and available in the next release